<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hwpf.model (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hwpf.model (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/io/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hwpf.model</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                            title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
                                            title="interface in org.apache.poi.hwpf.model">FibRgLw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/BookmarkFirstDescriptor.html"
                                            title="class in org.apache.poi.hwpf.model">BookmarkFirstDescriptor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/BookmarksTables.html"
                                            title="class in org.apache.poi.hwpf.model">BookmarksTables</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/BytePropertyNode.html"
                                            title="class in org.apache.poi.hwpf.model">BytePropertyNode</a>&lt;T extends
                        <a href="../../../../../org/apache/poi/hwpf/model/BytePropertyNode.html"
                           title="class in org.apache.poi.hwpf.model">BytePropertyNode</a>&lt;T&gt;&gt;
                    </td>
                    <td class="colLast">Deprecated
                        <div class="block"><span
                                class="deprecationComment">byte positions shall not be saved in memory</span></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/CHPBinTable.html"
                                            title="class in org.apache.poi.hwpf.model">CHPBinTable</a></td>
                    <td class="colLast">
                        <div class="block">This class holds all of the character formatting properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/CHPFormattedDiskPage.html"
                                            title="class in org.apache.poi.hwpf.model">CHPFormattedDiskPage</a></td>
                    <td class="colLast">
                        <div class="block">Represents a CHP fkp.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/CHPX.html"
                                            title="class in org.apache.poi.hwpf.model">CHPX</a></td>
                    <td class="colLast">
                        <div class="block">DANGER - works in bytes!</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Colorref.html"
                                            title="class in org.apache.poi.hwpf.model">Colorref</a></td>
                    <td class="colLast">
                        <div class="block">24-bit color structure</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/ComplexFileTable.html"
                                            title="class in org.apache.poi.hwpf.model">ComplexFileTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/DocumentProperties.html"
                                            title="class in org.apache.poi.hwpf.model">DocumentProperties</a></td>
                    <td class="colLast">
                        <div class="block">Comment me</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/EscherRecordHolder.html"
                                            title="class in org.apache.poi.hwpf.model">EscherRecordHolder</a></td>
                    <td class="colLast">
                        <div class="block">Based on AbstractEscherRecordHolder from HSSF.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FFData.html"
                                            title="class in org.apache.poi.hwpf.model">FFData</a></td>
                    <td class="colLast">
                        <div class="block">The FFData structure specifies form field data for a text box, check box, or
                            drop-down list box.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FFDataBase.html"
                                            title="class in org.apache.poi.hwpf.model">FFDataBase</a></td>
                    <td class="colLast">
                        <div class="block">The FFData structure specifies form field data for a text box, check box, or
                            drop-down list box.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Ffn.html"
                                            title="class in org.apache.poi.hwpf.model">Ffn</a></td>
                    <td class="colLast">
                        <div class="block">FFN - Font Family Name.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FibBase.html"
                                            title="class in org.apache.poi.hwpf.model">FibBase</a></td>
                    <td class="colLast">
                        <div class="block">Base part of the File information Block (FibBase).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FIBFieldHandler.html"
                                            title="class in org.apache.poi.hwpf.model">FIBFieldHandler</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html"
                                            title="class in org.apache.poi.hwpf.model">FibRgLw97</a></td>
                    <td class="colLast">
                        <div class="block">The FibRgLw97 structure is the third section of the FIB.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html"
                                            title="class in org.apache.poi.hwpf.model">FibRgW97</a></td>
                    <td class="colLast">
                        <div class="block">The FibRgW97 structure is a variable-length portion of the Fib.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FieldDescriptor.html"
                                            title="class in org.apache.poi.hwpf.model">FieldDescriptor</a></td>
                    <td class="colLast">
                        <div class="block">Class for the FLD structure.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FieldsTables.html"
                                            title="class in org.apache.poi.hwpf.model">FieldsTables</a></td>
                    <td class="colLast">
                        <div class="block">This class provides access to all the fields Plex.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FileInformationBlock.html"
                                            title="class in org.apache.poi.hwpf.model">FileInformationBlock</a></td>
                    <td class="colLast">
                        <div class="block">The File Information Block (FIB).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FontTable.html"
                                            title="class in org.apache.poi.hwpf.model">FontTable</a></td>
                    <td class="colLast">
                        <div class="block">FontTable or in MS terminology sttbfffn is a common data structure written in
                            all
                            Word files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/model/FootnoteReferenceDescriptor.html"
                            title="class in org.apache.poi.hwpf.model">FootnoteReferenceDescriptor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
                                            title="class in org.apache.poi.hwpf.model">FormattedDiskPage</a></td>
                    <td class="colLast">
                        <div class="block">Represents an FKP data structure.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FSPA.html"
                                            title="class in org.apache.poi.hwpf.model">FSPA</a></td>
                    <td class="colLast">
                        <div class="block">File Shape Address structure</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FSPATable.html"
                                            title="class in org.apache.poi.hwpf.model">FSPATable</a></td>
                    <td class="colLast">
                        <div class="block">This class holds all the FSPA (File Shape Address) structures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/GenericPropertyNode.html"
                                            title="class in org.apache.poi.hwpf.model">GenericPropertyNode</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                            title="class in org.apache.poi.hwpf.model">Grfhic</a></td>
                    <td class="colLast">
                        <div class="block">The grfhic structure is a set of HTML incompatibility flags that specify the
                            HTML incompatibilities of a list structure.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Hyphenation.html"
                                            title="class in org.apache.poi.hwpf.model">Hyphenation</a></td>
                    <td class="colLast">
                        <div class="block">Hyphenation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/LFO.html"
                                            title="class in org.apache.poi.hwpf.model">LFO</a></td>
                    <td class="colLast">
                        <div class="block">"The LFO structure specifies the LSTF element that corresponds to a list that
                            contains a paragraph.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/LFOData.html"
                                            title="class in org.apache.poi.hwpf.model">LFOData</a></td>
                    <td class="colLast">
                        <div class="block">The LFOData structure contains the Main Document CP of the corresponding LFO,
                            as well as an array of LVL override data.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/ListData.html"
                                            title="class in org.apache.poi.hwpf.model">ListData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/ListFormatOverrideLevel.html"
                                            title="class in org.apache.poi.hwpf.model">ListFormatOverrideLevel</a></td>
                    <td class="colLast">
                        <div class="block">The LFOLVL structure contains information that is used to override the
                            formatting information of a corresponding LVL.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/ListLevel.html"
                                            title="class in org.apache.poi.hwpf.model">ListLevel</a></td>
                    <td class="colLast">
                        <div class="block">"The LVL structure contains formatting information about a specific level in
                            a list.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/ListTables.html"
                                            title="class in org.apache.poi.hwpf.model">ListTables</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/NilPICFAndBinData.html"
                                            title="class in org.apache.poi.hwpf.model">NilPICFAndBinData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/NotesTables.html"
                                            title="class in org.apache.poi.hwpf.model">NotesTables</a></td>
                    <td class="colLast">
                        <div class="block">Holds information about document notes (footnotes or ending notes)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldCHPBinTable.html"
                                            title="class in org.apache.poi.hwpf.model">OldCHPBinTable</a></td>
                    <td class="colLast">
                        <div class="block">This class holds all of the character formatting
                            properties from Old (Word 6 / Word 95) documents.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldComplexFileTable.html"
                                            title="class in org.apache.poi.hwpf.model">OldComplexFileTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldFfn.html"
                                            title="class in org.apache.poi.hwpf.model">OldFfn</a></td>
                    <td class="colLast">
                        <div class="block">Word 6.0 Font information</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldFontTable.html"
                                            title="class in org.apache.poi.hwpf.model">OldFontTable</a></td>
                    <td class="colLast">
                        <div class="block">Font table for Word 6.0</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldPAPBinTable.html"
                                            title="class in org.apache.poi.hwpf.model">OldPAPBinTable</a></td>
                    <td class="colLast">
                        <div class="block">This class holds all of the paragraph formatting
                            properties from Old (Word 6 / Word 95) documents.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldSectionTable.html"
                                            title="class in org.apache.poi.hwpf.model">OldSectionTable</a></td>
                    <td class="colLast">
                        <div class="block">This class holds all of the section formatting
                            properties from Old (Word 6 / Word 95) documents.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldTextPiece.html"
                                            title="class in org.apache.poi.hwpf.model">OldTextPiece</a></td>
                    <td class="colLast">
                        <div class="block">Lightweight representation of a text piece.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html"
                                            title="class in org.apache.poi.hwpf.model">OldTextPieceTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
                                            title="class in org.apache.poi.hwpf.model">PAPBinTable</a></td>
                    <td class="colLast">
                        <div class="block">This class represents the bin table of Word document but it also serves as a
                            holder for all of the paragraphs of document that have been loaded into
                            memory.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html"
                                            title="class in org.apache.poi.hwpf.model">PAPFormattedDiskPage</a></td>
                    <td class="colLast">
                        <div class="block">Represents a PAP FKP.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                            title="class in org.apache.poi.hwpf.model">PAPX</a></td>
                    <td class="colLast">
                        <div class="block">DANGER - works in bytes!

                            Make sure you call getStart() / getEnd() when you want characters
                            (normal use), but getStartByte() / getEndByte() when you're
                            reading in / writing out!
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/ParagraphHeight.html"
                                            title="class in org.apache.poi.hwpf.model">ParagraphHeight</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PICF.html"
                                            title="class in org.apache.poi.hwpf.model">PICF</a></td>
                    <td class="colLast">
                        <div class="block">The PICF structure specifies the type of a picture, as well as the size of
                            the picture and information about its border.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PICFAndOfficeArtData.html"
                                            title="class in org.apache.poi.hwpf.model">PICFAndOfficeArtData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PicturesTable.html"
                                            title="class in org.apache.poi.hwpf.model">PicturesTable</a></td>
                    <td class="colLast">
                        <div class="block">Holds information about all pictures embedded in Word Document either via
                            "Insert -> Picture -> From File" or via
                            clipboard.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PieceDescriptor.html"
                                            title="class in org.apache.poi.hwpf.model">PieceDescriptor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PlexOfCps.html"
                                            title="class in org.apache.poi.hwpf.model">PlexOfCps</a></td>
                    <td class="colLast">
                        <div class="block">Plex of CPs stored in File (PLCF)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PlexOfField.html"
                                            title="class in org.apache.poi.hwpf.model">PlexOfField</a></td>
                    <td class="colLast">
                        <div class="block">Structure describing the Plex for fields (contained plclfd* in the spec).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PlfLfo.html"
                                            title="class in org.apache.poi.hwpf.model">PlfLfo</a></td>
                    <td class="colLast">
                        <div class="block">The PlfLfo structure contains the list format override data for the
                            document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PropertyModifier.html"
                                            title="class in org.apache.poi.hwpf.model">PropertyModifier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html"
                                            title="class in org.apache.poi.hwpf.model">PropertyNode</a>&lt;T extends <a
                            href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html"
                            title="class in org.apache.poi.hwpf.model">PropertyNode</a>&lt;T&gt;&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">Represents a lightweight node in the Trees used to store content
                            properties.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/model/PropertyNode.EndComparator.html"
                            title="class in org.apache.poi.hwpf.model">PropertyNode.EndComparator</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/model/PropertyNode.StartComparator.html"
                            title="class in org.apache.poi.hwpf.model">PropertyNode.StartComparator</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/RevisionMarkAuthorTable.html"
                                            title="class in org.apache.poi.hwpf.model">RevisionMarkAuthorTable</a></td>
                    <td class="colLast">
                        <div class="block">String table containing the names of authors of revision marks, e-mails and
                            comments in this document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SavedByEntry.html"
                                            title="class in org.apache.poi.hwpf.model">SavedByEntry</a></td>
                    <td class="colLast">
                        <div class="block">A single entry in the <a
                                href="../../../../../org/apache/poi/hwpf/model/SavedByTable.html"
                                title="class in org.apache.poi.hwpf.model"><code>SavedByTable</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SavedByTable.html"
                                            title="class in org.apache.poi.hwpf.model">SavedByTable</a></td>
                    <td class="colLast">
                        <div class="block">String table containing the history of the last few revisions ("saves") of
                            the document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SectionDescriptor.html"
                                            title="class in org.apache.poi.hwpf.model">SectionDescriptor</a></td>
                    <td class="colLast">
                        <div class="block">Section Descriptor (SED)

                            See page 186 for details.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SectionTable.html"
                                            title="class in org.apache.poi.hwpf.model">SectionTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SEPX.html"
                                            title="class in org.apache.poi.hwpf.model">SEPX</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SinglentonTextPiece.html"
                                            title="class in org.apache.poi.hwpf.model">SinglentonTextPiece</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Sttb.html"
                                            title="class in org.apache.poi.hwpf.model">Sttb</a></td>
                    <td class="colLast">
                        <div class="block">The STTB is a string table that is made up of a header that is followed by an
                            array of elements.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/StyleDescription.html"
                                            title="class in org.apache.poi.hwpf.model">StyleDescription</a></td>
                    <td class="colLast">
                        <div class="block">Comment me</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                            title="class in org.apache.poi.hwpf.model">StyleSheet</a></td>
                    <td class="colLast">
                        <div class="block">Represents a document's stylesheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/TabDescriptor.html"
                                            title="class in org.apache.poi.hwpf.model">TabDescriptor</a></td>
                    <td class="colLast">
                        <div class="block">Tab descriptor.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/TextPiece.html"
                                            title="class in org.apache.poi.hwpf.model">TextPiece</a></td>
                    <td class="colLast">
                        <div class="block">Lightweight representation of a text piece.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                            title="class in org.apache.poi.hwpf.model">TextPieceTable</a></td>
                    <td class="colLast">
                        <div class="block">The piece table for matching up character positions to bits of text.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/model/TextPieceTable.FCComparator.html"
                            title="class in org.apache.poi.hwpf.model">TextPieceTable.FCComparator</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/UnhandledDataStructure.html"
                                            title="class in org.apache.poi.hwpf.model">UnhandledDataStructure</a></td>
                    <td class="colLast">
                        <div class="block">A data structure used to hold some data we don't
                            understand / can't handle, so we have it available
                            for when we come to write back out again
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/UPX.html"
                                            title="class in org.apache.poi.hwpf.model">UPX</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Xst.html"
                                            title="class in org.apache.poi.hwpf.model">Xst</a></td>
                    <td class="colLast">
                        <div class="block">The Xst structure is a string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/Xstz.html"
                                            title="class in org.apache.poi.hwpf.model">Xstz</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FieldsDocumentPart.html"
                                            title="enum in org.apache.poi.hwpf.model">FieldsDocumentPart</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/FSPADocumentPart.html"
                                            title="enum in org.apache.poi.hwpf.model">FSPADocumentPart</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/NoteType.html"
                                            title="enum in org.apache.poi.hwpf.model">NoteType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/model/SubdocumentType.html"
                                            title="enum in org.apache.poi.hwpf.model">SubdocumentType</a></td>
                    <td class="colLast">
                        <div class="block">Document text parts that can have text pieces (CPs)</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/io/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
